org.apache.felix.ipojo.configuration

## Class Instance.FluentMap<K,T>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<K,V>
    - - java.util.LinkedHashMap<K,T>
      - - org.apache.felix.ipojo.configuration.Instance.FluentMap<K,T>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<K,T>

Enclosing class:
  Instance

    public static class Instance.FluentMap<K,T>
    extends java.util.LinkedHashMap<K,T>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`FluentMap()`
`FluentMap(Instance.Pair<? extends K,? extends T>... pairs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Instance.FluentMap<K,T>` `putAt(K k, T value)`
`Instance.FluentMap<K,T>` `with(Instance.Pair<? extends K,? extends T>... pairs)`

### Methods inherited from class java.util.LinkedHashMap

`clear, containsValue, entrySet, forEach, get, getOrDefault, keySet, removeEldestEntry, replaceAll, values`

### Methods inherited from class java.util.HashMap

`clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

### Constructor Detail

#### FluentMap

    public FluentMap()

#### FluentMap

    public FluentMap(Instance.Pair<? extends K,? extends T>... pairs)

### Method Detail

#### with

    public Instance.FluentMap<K,T> with(Instance.Pair<? extends K,? extends T>... pairs)

#### putAt

    public Instance.FluentMap<K,T> putAt(K k,
                                         T value)